package main

import "fmt"

func main() {
	var arr1 [1]byte
	arr1[0] = 1
	arr11 := arr1
	arr11[0] = 0

	fmt.Println(arr1)

	arr2 := make([]byte, 1)
	arr2[0] = 1

	arr22 := arr2
	arr22[0] = 0

	fmt.Println(arr2)

	arr3 := make([]byte, 1)
	arr3[0] = 1

	var arr33 []byte
	arr33 = arr3
	arr33[0] = 0

	fmt.Println(arr3)

	arr4 := make([]byte, 1)
	arr4[0] = 1

	arr44 := make([]byte, 1)
	arr44 = arr4
	arr44[0] = 0

	fmt.Println(arr4)

	//these two below work
	arr5 := make([]byte, 1)
	arr5[0] = 1

	arr55 := make([]byte, 1)
	copy(arr55, arr5)
	arr55[0] = 0

	fmt.Println(arr5)

	var arr6 []byte
	arr6 = append(arr6, 1)

	arr66 := make([]byte, 1)
	copy(arr66, arr6)
	arr66[0] = 0

	fmt.Println(arr5)
}
